import { RouterView } from 'vue-router';

export default {
    path: '/item/item-type',
    name: 'ItemType',
    meta: {
        title: 'itemType',
        icon: 'contact_support',
        moduleName: 'ItemType',
    },
    component: RouterView,
    redirect: { name: 'ItemTypeList' },
    menus: {
        main: [],
        card: ['ItemTypeBasicData'],
    },
    children: [
        {
            name: 'ItemTypeCard',
            path: ':id',
            component: () => import('src/pages/ItemType/Card/ItemTypeCard.vue'),
            redirect: { name: 'ItemTypeSummary' },
            children: [
                {
                    name: 'ItemTypeSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                    },
                    component: () =>
                        import('src/pages/ItemType/Card/ItemTypeSummary.vue'),
                },
                {
                    name: 'ItemTypeBasicData',
                    path: 'basic-data',
                    meta: {
                        title: 'basicData',
                        icon: 'vn:settings',
                    },
                    component: () =>
                        import('src/pages/ItemType/Card/ItemTypeBasicData.vue'),
                },
            ],
        },
    ],
};
